function D=diagprod(A)
% D=diagprod(A)
% Product of diagonal elements of matrices
% A : N-by-d-by-d amat
% D : N-by-1-by-1 amat
% D(k) = prod_{i=1}^d A(k,i,i)  
  [N,m,n]=size(A);
  D=fc_amat.ones(N,1,1); 
  for i=1:min(m,n)
    D.values=D.values.*A.values(:,i,i);
  end
end
